<?php

function mumaraone_log_email($message) {
    $logs = get_option('mumaraone_email_logs', []);
    $logs[] = "[" . current_time('mysql') . "] " . $message;
    if (count($logs) > 100) { // Keep only last 100 logs
        array_shift($logs);
    }
    update_option('mumaraone_email_logs', $logs);
}

add_action('admin_menu', 'mumaraone_add_logs_menu');
function mumaraone_add_logs_menu() {
    add_submenu_page(
        'mumaraone-settings',
        'Email Logs',
        'Email Logs',
        'manage_options',
        'mumaraone-email-logs',
        'mumaraone_logs_page_html'
    );
}

function mumaraone_logs_page_html() {
    $logs = get_option('mumaraone_email_logs', []);
    echo '<div class="wrap"><h1>Email Logs</h1><pre>';
    foreach ($logs as $log) {
        echo esc_html($log) . "\n";
    }
    echo '</pre></div>';
}
